Skip to content
Navigation

Create entity personnel

POST
https://api.sureshake.com/v2/entities/{id}/personnel

Path parameters

  • id
    string
    required
    format: uuid

Request body JSON required

  • title
    string
    required
    maxLength: 255 · minLength: 1
  • role
    CEO
    or
    CFO
    or
    CTO
    or
    President
    or
    VP
    or
    Director
    +3 more
    required
  • startDate
    string
    required
  • userId
    optional
    string
  • personEntityId
    optional
    string
    format: uuid
  • name
    optional
    string
  • email
    optional
    string
    format: email
  • phone
    optional
    string
  • department
    optional
    string
  • status
    optional
    active
    or
    inactive
    or
    terminated
    default: "active"
  • isKeyPerson
    optional
    boolean
    default: false
  • notes
    optional
    string
  • sendInvitation
    optional
    boolean
    default: false

Returns

200

Default Response

JSON
  • id
    string
    required
    format: uuid
  • entityId
    string
    required
    format: uuid
  • userId
    string
    or null
    required
  • externalName
    string
    or null
    required
  • externalEmail
    string
    or null
    required
  • externalPhone
    string
    or null
    required
  • title
    string
    required
  • role
    string
    required
  • department
    string
    or null
    required
  • status
    string
    required
  • isKeyPerson
    boolean
    required
  • startDate
    string
    required
  • endDate
    string
    or null
    required
  • notes
    string
    or null
    required
  • invitationSent
    boolean
    required
  • invitationSentAt
    string
    or null
    required
  • createdBy
    string
    required
  • createdAt
    string
    required
  • updatedAt
    string
    required
  • deletedAt
    string
    or null
    required
  • deletedBy
    string
    or null
    required
  • displayName
    string
    required
  • displayEmail
    string
    or null
    required
  • isActive
    boolean
    required
  • isExternal
    boolean
    required
  • hasInvitation
    boolean
    required
  • hasAccount
    boolean
    required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close